# Media Entity Link

## Contents
---------------------

 * Introduction
 * Requirements
 * Installation
 * Usage
 * Configuration

## Introduction
------------

The Media Entity Link module provides a new media type and media source plugin called 'link'.

It allows for the creation of media which is a link to internal or external URLs and resources that can be browsed in the media library and included in any media views.

This can be useful if your website contains a resources section that needs to link to internal or external documentation which are web pages and not PDFs, for example.

This module is designed for Drupal 9+ and is ideal for site builders who need to include links to resources and other URLs using a media type.

## Requirements
------------

No special requirements.

## Installation
------------

 * Install as you would normally install a contributed Drupal module.
   See: https://www.drupal.org/docs/extending-drupal/installing-modules
   for further information.

## Usage
------------

1. Require the module into your project via Composer: `composer require drupal/media_entity_link`.
2. Enable the module in the UI: `/admin/modules#module-media-entity-link` or via drush: `drush en media_entity_link`.
3. Go to media types `/admin/structure/media` and you will see a new media type called link.
4. A default link field is automatically added with default field settings. You can now customise or add additional fields at `/admin/structure/media/manage/link/fields`.
5. You can now add media of type link in additional to the default media types such as image and video.

## Configuration
-------------

No configuration is needed.
